# This file created by conda-build 3.10.7
# meta.yaml template originally from:
# /tmp/build/80754af9/rsync-recipes/conda-4.5.8-python_3.5-on-linux_32, last modified Tue Jul 10 14:29:45 2018
# ------------------------------------------------

package:
    name: conda
    version: 4.5.8
source:
    fn: conda-4.5.8.tar.gz
    sha256: 20435a78195e868d7e32466cfeb88c4930068e3ccdd691cdb28d379df49f0745
    url: https://github.com/conda/conda/archive/4.5.8.tar.gz
build:
    always_include_files:
        - bin/activate
        - bin/conda
        - bin/deactivate
    entry_points:
        - conda = conda.cli:main
        - conda-env = conda_env.cli.main:main
    number: '0'
    string: py35_0
requirements:
    build:
        - ca-certificates 2018.03.07 0
        - libedit 3.1.20170329 h6b74fdf_2
        - libffi 3.2.1 h97ff0df_4
        - libgcc-ng 7.2.0 h9268252_3
        - libstdcxx-ng 7.2.0 h9268252_3
        - ncurses 6.1 hf484d3e_0
        - openssl 1.0.2o h20670df_0
        - python 3.5.5 hc3d631a_4
        - readline 7.0 h6b4b497_4
        - sqlite 3.24.0 h84994c4_0
        - tk 8.6.7 h9a736a7_3
        - xz 5.2.4 h14c3975_4
        - zlib 1.2.11 h907e355_2
    run:
        - conda-env >=2.6
        - pycosat >=0.6.3
        - pyopenssl >=16.2.0
        - python >=3.5,<3.6.0a0
        - requests >=2.12.4,<3
        - ruamel_yaml >=0.11.14
    run_constrained:
        - conda-build >=2.1
        - cytoolz >=0.8.1
        - setuptools >=31.0.1
test:
    commands:
        - . $PREFIX/etc/profile.d/conda.sh
        - conda activate base
        - export PYTHON_MAJOR_VERSION=$(python -c "import sys; print(sys.version_info[0])")
        - export TEST_PLATFORM=$(python -c "import sys; print('win' if sys.platform.startswith('win')
            else 'unix')")
        - export PYTHONHASHSEED=$(python -c "import random as r; print(r.randint(0,4294967296))")
            && echo "PYTHONHASHSEED=$PYTHONHASHSEED"
        - env | sort
        - conda info
        - py.test tests -m "not integration and not installed" -vv || true
        - conda create -y -p ./built-conda-test-env
        - conda activate ./built-conda-test-env
        - echo $CONDA_PREFIX
        - '[ "$CONDA_PREFIX" = "$PWD/built-conda-test-env" ] || exit 1'
    imports:
        - conda
        - conda_env
    requires:
        - mock
        - pexpect
        - pytest
        - responses
    source_files:
        - conftest.py
        - setup.cfg
        - tests
about:
    description: 'Conda is an open source package management system and environment

        management system for installing multiple versions of software packages

        and their dependencies and switching easily between them. It works on

        Linux, OS X and Windows, and was created for Python programs but can

        package and distribute any software.

        '
    dev_url: https://github.com/conda/conda
    doc_url: https://conda.io/docs/
    home: https://conda.io
    license: BSD 3-Clause
    license_file: LICENSE.txt
    summary: OS-agnostic, system-level binary package and environment manager.
extra:
    copy_test_source_files: true
    final: true
    recipe-maintainers:
        - jakirkham
        - jjhelmus
        - kalefranz
        - mcg1969
        - mingwandroid
        - msarahan
        - mwcraig
        - ocefpaf
        - patricksnape
        - pelson
        - scopatz
